### Method

# GIRepository ObjectInfo find_vfunc

since: 2.80

#### Declaration [src]

    GIVFuncInfo*
    gi_object_info_find_vfunc (
      GIObjectInfo* info,
      const char* name
    )

#### Description [src]

Locate a virtual function slot with name `name`.

Note that the namespace for virtuals is distinct from that of methods; there may or may not be a concrete method associated for a virtual. If there is one, it may be retrieved using `gi_vfunc_info_get_invoker()`, otherwise that method will return `NULL`.

See the documentation for `gi_vfunc_info_get_invoker()` for more information on invoking virtuals.

Available since: 2.80

#### Parameters

`name`

  Type: `const char*`

  The name of a virtual function to find.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GIVFuncInfo`

The `GIVFuncInfo`, or `NULL` if none is found. Free it with `gi_base_info_unref()` when done.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.